%% Copyright (C) 2018 Simone Balmelli and Francesco Moresino
%%
%% This file is part of PrefShare.
%%
%% PrefShare is free software: you can redistribute it and/or modify
%% it under the terms of the GNU General Public License as published by
%% the Free Software Foundation, either version 3 of the License, or
%% (at your option) any later version.
%%
%% PrefShare is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%% GNU General Public License for more details.
%%
%% You should have received a copy of the GNU General Public License
%% along with PrefShare. If not, see <http://www.gnu.org/licenses/>.

%% -*- texinfo -*-
%% @deftypefn {Function File} {@var{y} =} logistic_function(@var{x})
%%
%% Calculate the logistic function f(x)=1/(1+exp(-x)).
%%
%% Input args:
%% Scalar, vector or matrix @var{x}.
%%
%% Output:
%% Image @var{y} of the logistic function, calculated elementwise on @var{x}. 
%% 
%% @seealso{CostFunction}
%%
%% Programmed by Simone Balmelli (2018).
%% @end deftypefn

function y = logistic_function(x)

y = 1.0./(1.0 + exp(-x));
end
