%% Copyright (C) 2018 Simone Balmelli and Francesco Moresino
%%
%% This file is part of PrefShare.
%%
%% PrefShare is free software: you can redistribute it and/or modify
%% it under the terms of the GNU General Public License as published by
%% the Free Software Foundation, either version 3 of the License, or
%% (at your option) any later version.
%%
%% PrefShare is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%% GNU General Public License for more details.
%%
%% You should have received a copy of the GNU General Public License
%% along with PrefShare. If not, see <http://www.gnu.org/licenses/>.


%% ================= Logistic_regression ===================
%% =========================================================
%% Import data and perform logistic regression.
%% Save results in the file 'regression parameters.csv'
%% located in the 'output' directory.
%%
%% Programmed by Simone Balmelli (2018).

addpath('../functions')
load('../output/parameters.csv')

%% ==================== import data ========================
%
dplan = importdata('../output/D_basis.csv',';').data;
dplan(:,1)=[];
X = dumenc(dplan,s.pars); 

bdplan = importdata('../output/questionnaire_split.csv',';').data;
bdplan(:,1)=[];

quest =  importdata('../input/preference_data.csv',';').data;
quest(:,1)=[];

%% ================= logistic regression ===================
%
y = readQuest(bdplan,quest,s.v);
beta = LogReg(X,y);

%% =================== save results ========================
%
writeDvec('../output/regression_coefficients.csv',...
beta,s.pars,'delimiter',';');
