%% Copyright (C) 2018 Simone Balmelli and Francesco Moresino
%%
%% This file is part of PrefShare.
%%
%% PrefShare is free software: you can redistribute it and/or modify
%% it under the terms of the GNU General Public License as published by
%% the Free Software Foundation, either version 3 of the License, or
%% (at your option) any later version.
%%
%% PrefShare is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%% GNU General Public License for more details.
%%
%% You should have received a copy of the GNU General Public License
%% along with PrefShare. If not, see <http://www.gnu.org/licenses/>.


%% ================== Preference_share =====================
%% =========================================================
%% Use the regression coefficients from file 'regression_coefficients.csv',
%% located in the 'output' directory, to estimate the preference
%% share of the profiles collected in the file 'profiles.csv',
%% located in the 'input' directory.
%% 
%% Programmed by Simone Balmelli (2018).

addpath('../functions')
load('../output/parameters.csv')

%% ==================== import data ========================
%
profs = importdata('../input/profiles.csv',';').data;
X = dumenc(profs,s.pars);
beta = importdata('../output/regression_coefficients.csv',';').data;

%% ============= estimate preference share =================
%
y = logistic_function(X*beta);

%% =================== save results ========================
%
writePrefShare('../output/preference_share.csv',profs,y);
